#FROM debian
FROM consol/debian-xfce-vnc:latest
ENV REFRESHED_AT 2025_06_03

# Switch to root user to install additional software
USER 0

RUN apt update
RUN apt install -yq libssl-dev \
  wget curl unzip \
  openssl \
  ca-certificates \
  fontconfig \
  fonts-dejavu \
  libxext6 \
  libxrender1 \
  libxtst6 \
  gnupg \
  supervisor \
  python3 python3-pip python3-venv\
  scrot python3-tk python3-dev \
  libx11-6 libx11-dev libxext-dev libxtst6 \
  libpng-dev libjpeg-dev libtiff-dev libfreetype6-dev \
  x11-xserver-utils \
  xserver-xorg \
  fluxbox \
  xvfb \
  gnome-screenshot \
  libsqlite3-dev sqlite3 sqlitebrowser \
  sudo \
  && apt-get clean


RUN mkdir -p /usr/share/man/man1 && \
    curl -fsSL https://packages.adoptium.net/artifactory/api/gpg/key/public | gpg --dearmor -o /etc/apt/trusted.gpg.d/adoptium.gpg && \
    echo "deb https://packages.adoptium.net/artifactory/deb bullseye main" > /etc/apt/sources.list.d/adoptium.list && \
    apt-get update && \
    apt-get install -y temurin-21-jdk
RUN java -version

RUN curl https://portswigger.net/burp/releases/download \
  -o burpsuite_community.jar

USER 1000


RUN python3 -m venv ~/.venv && bash -c "source ~/.venv/bin/activate && pip3 install pyautogui pillow opencv-python"
RUN echo "source ~/.venv/bin/activate" >> ~/.bashrc

